SoGLMultiTextureMatrixElement(3)

NAME
SoGLMultiTextureMatrixElement - The SoGLMultiTextureMatrixElement class is used to update the OpenGL texture matrix.

SYNOPSIS

#include <Inventor/elements/SoGLMultiTextureMatrixElement.h>

Inherits SoMultiTextureMatrixElement.

  Public Member Functions
virtual void init (SoState *state)
virtual void push (SoState *state)
virtual void pop (SoState *state, const SoElement *prevTopElement)
virtual void multElt (const int unit, const SbMatrix &matrix)
virtual void setElt (const int unit, const SbMatrix &matrix)

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)

  Protected Member Functions
virtual ~SoGLMultiTextureMatrixElement ()

  Additional Inherited Members

Detailed Description

The SoGLMultiTextureMatrixElement class is used to update the OpenGL texture matrix. Since (for some weird reason) most OpenGL implementations have a very small texture matrix stack, and since the matrix stack also is broken on many OpenGL implementations, the texture matrix is always loaded into OpenGL. We do not push() and pop() matrices.

Constructor & Destructor Documentation

  SoGLMultiTextureMatrixElement::~SoGLMultiTextureMatrixElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoGLMultiTextureMatrixElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoGLMultiTextureMatrixElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoGLMultiTextureMatrixElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoGLMultiTextureMatrixElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoGLMultiTextureMatrixElement::init (SoState * state) [virtual]
This function initializes the element type in the given SoState. It is called for the first element of each enabled element type in SoState objects.

Reimplemented from SoMultiTextureMatrixElement.

  void SoGLMultiTextureMatrixElement::push (SoState * state) [virtual]
This method is called every time a new element is required in one of the stacks. This happens when a writable element is requested, using SoState::getElement() or indirectly SoElement::getElement(), and the depth of the current element is less than the state depth.

Override this method if your element needs to copy data from the previous top of stack. The push() method is called on the new element, and the previous element can be found using SoElement::getNextInStack().

Reimplemented from SoMultiTextureMatrixElement.

  void SoGLMultiTextureMatrixElement::pop (SoState * state, const SoElement * prevTopElement) [virtual]
This method is called when the state is popped, and the depth of the element is bigger than the current state depth. pop() is called on the new top of stack, and a pointer to the previous top of stack is passed in prevTopElement.

Override this method if you need to copy some state information from the previous top of stack.

Reimplemented from SoElement.

  void SoGLMultiTextureMatrixElement::multElt (const int unit, const SbMatrix & matrix) [virtual]
virtual method which is called from mult(). Multiplies matrix into element matrix.

Reimplemented from SoMultiTextureMatrixElement.

  void SoGLMultiTextureMatrixElement::setElt (const int unit, const SbMatrix & matrix) [virtual]
virtual method which is called from set(). Sets matrix into element matrix.

Reimplemented from SoMultiTextureMatrixElement.

Author

Generated automatically by Doxygen for Coin from the source code.